%  program nageneruje obedlnikovy signal pomoci funkce sinus
% prirustek deltaSig bude jenom pro licha i
%  puvodni signal bude jako anonymni funkce
clear all;close all;clc;
% sig1 = @(A0,f0,t) A0*sin(2*pi*f0.*t);
deltaSig = @(A0,f0,i,t) A0*sin(2*pi*i*f0.*t)/double(i);

A0 = 0.8; %amplituda
f0 = 0.2; % Hz
T = 1/f0;
fvz = 10;
Tvz = 1/fvz;
t = 0:Tvz:100*Tvz;
tl = length(t);
sigOrig = deltaSig(A0,f0,1,t);
N = 100;
sigF = 0;
for i= 1:2:N
    sigF = sigF + deltaSig(A0,f0,i,t);    
        clf
        plot(t,sigOrig,'-b'); hold on
        plot(t,sigF,'-*r'); 
        drawnow   
end