%  program nageneruje pilovy signal pomoci funkce sinus
% prirustek deltaSig bude jenom pro licha i
%  puvodni signal bude jako anonymni funkce
clear all;close all;clc;
% sig1 = @(A0,f0,t) A0*sin(2*pi*f0.*t);
deltaSig = @(A0,f0,i,t) A0*sin(2*pi*i*f0.*t)/double(i*i);

A0 = 0.8; %amplituda
f0 = 0.1; % Hz
T = 1/f0;
t = 0:T/1e2:5*T;
tl = length(t);
sigOrig = deltaSig(A0,f0,1,t);
N = 100;
sigF = 0;

iter = 1;
for i= 1:2:N
    znamenko = sign((-1)^iter)*(-1);   
    sigF = sigF + znamenko*deltaSig(A0,f0,i,t);    
    clf
    plot(t,sigOrig,'-b'); hold on
    plot(t,sigF,'-*r'); 
    drawnow
    iter = iter+1;
end


